SYSCTL(8)

NUME
sysctl - configurează parametrii nucleului în timpul rulării

REZUMAT
sysctl [opțiuni] [variabilă[=valoare]] [...]
sysctl -p [fișier sau exp_reg] [...]

DESCRIERE
sysctl este folosit pentru a modifica parametrii nucleului în timpul rulării. Parametrii disponibili sunt cei enumerați în /proc/sys/. Procfs este necesar pentru suportul sysctl în Linux. Puteți folosi sysctl atât pentru a citi, cât și pentru a scrie date sysctl.

PARAMETRI

variabilă
    Numele unei chei din care să citiți. Un exemplu este „kernel.ostype”. Separatorul „/” este de asemenea acceptat în locul unui „.”.

variabilă=valoare
    Pentru a configura o cheie, utilizați forma variabilă=valoare unde variabilă este cheia și valoare este valoarea la care să o configurați. Dacă valoarea conține ghilimele sau caracterele care sunt analizate de shell, poate fi necesar să includeți valoarea între ghilimele duble.

-n, --values
    Utilizați această opțiune pentru a dezactiva afișarea numelui cheii atunci când se afișează valori.

-e, --ignore
    Utilizați această opțiune pentru a ignora erorile legate de cheile necunoscute.

-N, --names
    Utilizați această opțiune pentru a afișa numai numele. Poate fi util cu shell-uri care au o completare programabilă.

-q, --quiet
    Utilizați această opțiune pentru a nu afișa valorile configurate la ieșirea standard.

-w, --write
    Forțează toate argumentele să fie argumente de scriere și afișează o eroare dacă acestea nu pot fi analizate în acest mod.

-p[FIȘIER], --load[=FIȘIER]
    Încărcați configurările sysctl din fișierul specificat sau /etc/sysctl.conf dacă nu este specificat niciunul. Specificarea „-” ca nume de fișier înseamnă citirea datelor de la intrarea standard. Utilizarea acestei opțiuni va însemna că argumentele pentru sysctl sunt fișiere, care sunt citite în ordinea în care sunt specificate. Argumentul fișier poate fi specificat ca expresie regulată.

-a, --all
    Afișează toate valorile disponibile în prezent.

--deprecated
    Include parametrii învechiți în lista cu valori --all.

-b, --binary
    Afișează valoarea fără linie nouă.

--system
    Încarcă configurările din toate fișierele de configurare a sistemului. Consultați secțiunea PRECEDENȚA FIȘIERELOR DE SISTEM de mai jos.

-r, --pattern model
    Aplică doar configurările care se potrivesc cu model. Opțiunea --pattern folosește sintaxa extinsă a expresiei regulate.

-A  Alias de -a

-d  Alias al -h

-f  Alias de -p

-X  Alias de -a

-o  Nu face nimic, există pentru compatibilitatea cu BSD.

-x  Nu face nimic, există pentru compatibilitatea cu BSD.

-h, --help
    Afișează acest mesaj de ajutor.

-V, --version
    Afișează informațiile despre versiune și iese.

PRECEDENȚA FIȘIERELOR DE SISTEM
Când se utilizează opțiunea --system, sysctl va citi fișierele din directoarele din următoarea listă, în ordinea dată de sus în jos. Odată ce un fișier cu un anumit nume de fișier este încărcat, orice fișier cu același nume din directoarele ulterioare este ignorat. /etc/sysctl.d/*.conf
/run/sysctl.d/*.conf
/usr/local/lib/sysctl.d/*.conf
/usr/lib/sysctl.d/*.conf
/lib/sysctl.d/*.conf
/etc/sysctl.conf Toate fișierele de configurare sunt sortate în ordine lexicografică, indiferent de directorul în care se află . Fișierele de configurare pot fi fie complet înlocuite (prin a avea un nou fișier de configurare cu același nume într-un director cu prioritate mai mare), fie parțial înlocuite (prin a avea un fișier de configurare care este ordonat ulterior).

EXEMPLE
/sbin/sysctl -a
/sbin/sysctl -n kernel.hostname
/sbin/sysctl -w kernel.domainname="example.com"
/sbin/sysctl -p/etc/sysctl.conf
/sbin/sysctl -a --pattern forward
/sbin/sysctl -a --pattern forward$
/sbin/sysctl -a --pattern 'net.ipv4.conf.(eth|wlan)0.arp'
/sbin/sysctl --pattern '^net.ipv6' --system

PARAMETRI ÎNVECIȚI
Parametrii base_reachable_time și retrans_time sunt învechiți. Comanda sysctl nu permite modificarea valorilor acestor parametri. Utilizatorii care insistă să folosească interfețe de nucleu depreciate ar trebui să introducă valori în sistemul de fișiere /proc prin alte mijloace. De exemplu:

echo 256 > /proc/sys/net/ipv6/neigh/eth0/base_reachable_time

FIȘIERE
/proc/sys
/etc/sysctl.d/*.conf
/run/sysctl.d/*.conf
/usr/local/lib/sysctl.d/*.conf
/usr/lib/sysctl.d/*.conf
/lib/sysctl.d/*.conf
/etc/sysctl.conf

CONSULTAȚI ȘI
proc(5), sysctl.conf(5), regex(7)

AUTOR
George Staikos (staikos@0wned.org)

RAPORTAREA ERORILOR
Trimiteți rapoartele de eroare la procps@freelists.org